Skip to Content
SeyloDocs
API referenceTemplates

Get a template

GET
/api/v1/templates.get

Returns one template with its description, links and the install form fields.

Any signed-in caller. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

slug*string
Match^[a-z0-9][a-z0-9-]*$
Length1 <= length <= 60

Response Body

Success.

application/json
  1. response
slug*string
Match^[a-z0-9][a-z0-9-]*$
Length1 <= length <= 60
name*string
description*string
category*string
tags*array<string>
logoUrl*string|null
creates*string
builtIn*boolean
body*string
links*array<>
fields*array<>
Example Request
curl -X GET 'https://example.com/api/v1/templates.get?slug=string'
Example Response
{  "slug": "string",  "name": "string",  "description": "string",  "category": "string",  "tags": [    "string"  ],  "logoUrl": "string",  "creates": "string",  "builtIn": true,  "body": "string",  "links": [    {      "label": "string",      "url": "string"    }  ],  "fields": [    {      "key": "string",      "label": "string",      "description": "string",      "type": "string",      "required": true,      "default": "string",      "options": [        {          "value": "string",          "label": "string"        }      ]    }  ]}